* {
    font-family: monospace;
}

h1 {
    font-size: 36px;
    margin-bottom: 20px;
}

p {
    font-size: 20px;
}

.content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-left: 50px;
    margin-right: 50px;
    /* gap: 20px; */
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 240px;
    height: 160px;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.img_mean {
    width: 1000px;
    height: 100%;
    object-fit: cover;
}


.button {
    text-align: center;
    text-decoration: none;
    margin-top: 5px;
    margin-bottom: 5px;
}

.button.active {
    background-color: black;
    color: white;
}

.menu-button {
    margin-bottom: 10px;
}

.zoomable {
    width: 1000px;
    height: 562px;
    margin: auto;
}

@media (max-width: 600px) {
    .zoomable {
        width: 200px;
        height: 112px;
    }
}

.slideshow {
    position: relative;
    display: inline-block;
}

.button-arrow-left {
    position: absolute;
    top: 50%;
    left: -25px; /* Adjust as needed */
    transform: translateY(-50%);
    z-index: 1; /* Ensure button appears above image */
}

.button-arrow-right {
    position: absolute;
    top: 50%;
    right: -25px; /* Adjust as needed */
    transform: translateY(-50%);
    z-index: 1; /* Ensure button appears above image */
}

.upload {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* height: 100vh; */
    text-align: center;
    padding: 0 50px;
    box-sizing: border-box;
}

.upload p {
    /* margin-bottom: 20px; */
}

#uploadForm {
    /* margin-bottom: 20px; */
    text-align: center; /* Center form contents */
}

#uploadControls {
    display: flex;
    gap: 10px;
    align-items: center; 
    /* margin-bottom: 10px; */
}

#imagePreview {
    margin-top: 10px;
    /* margin-bottom: 10px; */
    display: block;
    margin-left: auto;
    margin-right: auto;
}

#processing_message {
    margin-top: 20px;
}

.upload img:last-of-type {
    /* margin-top: auto; */
    width: 900px;
    height: 300px;
}

.flex-12-wrapper {
    /* display: flex; */
    justify-content: center;
    align-items: center;
    width: 100%;
    text-align: center;
    left: -185px;
}

.upload-form {
    border-top: 1.5px solid #000;
    border-bottom: 1.5px solid #000;
    padding: 20px; /* Padding to separate content from border */
}

#emailForm {
    margin-top: 20px;
    transition: all 0.3s ease-in-out;
}


#emailForm input {
    text-align: center;
    font-size: 20px;
}

.button-download {
    /* font-size: 1em; */
    text-align: center;
}

#emailStatus {
    margin-top: 20px;
    margin-bottom: 20px;
    text-align: center;
    font-size: 20px;
}

#resolution {
    margin: 0;
}

.button-no-margin {
    margin-bottom: 0;
}

#zoom {
    width: 300px;
    height: auto;
}

.button-container {
    display: flex;
    align-items: flex-end;
}

.button-container button {
    text-align: center;
}

#emailForm button {
    text-align: center;
}

#back-to-upload {
    display: flex;
    justify-content: center;
    align-items: center;
    white-space: nowrap;
    text-decoration: none;
}

.zoomable-large {
    width: 70%;
    aspect-ratio: 16 / 9;
    display: block;
    margin: auto;
}